uuagc-bootstrap

Safe Haskell | Safe-Infered

PrintErrorMessages

# Documentation

sem_Error_CustomError :: Bool -> Pos -> PP_Doc -> T_Error

sem_Error_Cyclic :: NontermIdent -> Maybe ConstructorIdent -> [String] -> T_Error

sem_Error_CyclicSet :: Identifier -> T_Error

sem_Error_DirectCirc :: NontermIdent -> Bool -> [((Identifier, Identifier), [String], [String])] -> T_Error

sem_Error_DupAlt :: NontermIdent -> ConstructorIdent -> ConstructorIdent -> T_Error

sem_Error_DupChild :: NontermIdent -> ConstructorIdent -> Identifier -> Identifier -> T_Error

sem_Error_DupInhAttr :: NontermIdent -> Identifier -> Identifier -> T_Error

sem_Error_DupRule :: NontermIdent -> ConstructorIdent -> Identifier -> Identifier -> Identifier -> T_Error

sem_Error_DupRuleName :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_DupSet :: NontermIdent -> NontermIdent -> T_Error

sem_Error_DupSig :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_DupSynAttr :: NontermIdent -> Identifier -> Identifier -> T_Error

sem_Error_DupSynonym :: NontermIdent -> NontermIdent -> T_Error

sem_Error_DupUnique :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_HsParseError :: Pos -> String -> T_Error

sem_Error_IncompatibleAttachKind :: Identifier -> VisitKind -> T_Error

sem_Error_IncompatibleRuleKind :: Identifier -> VisitKind -> T_Error

sem_Error_IncompatibleVisitKind :: Identifier -> VisitIdentifier -> VisitKind -> VisitKind -> T_Error

sem_Error_InducedCirc :: NontermIdent -> CInterface -> [((Identifier, Identifier), [String], [String])] -> T_Error

sem_Error_InstCirc :: NontermIdent -> ConstructorIdent -> Identifier -> Bool -> [String] -> T_Error

sem_Error_LocalCirc :: NontermIdent -> ConstructorIdent -> Identifier -> Bool -> [String] -> T_Error

sem_Error_MissingInstSig :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_MissingNamedRule :: NontermIdent -> Identifier -> Identifier -> T_Error

sem_Error_MissingRule :: NontermIdent -> ConstructorIdent -> Identifier -> Identifier -> T_Error

sem_Error_MissingSyn :: NontermIdent -> Identifier -> T_Error

sem_Error_MissingTypeSig :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_MissingUnique :: NontermIdent -> Identifier -> T_Error

sem_Error_ParserError :: Pos -> String -> String -> T_Error

sem_Error_SuperfluousRule :: NontermIdent -> ConstructorIdent -> Identifier -> Identifier -> T_Error

sem_Error_UndefAlt :: NontermIdent -> ConstructorIdent -> T_Error

sem_Error_UndefAttr :: NontermIdent -> ConstructorIdent -> Identifier -> Identifier -> Bool -> T_Error

sem_Error_UndefChild :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_UndefLocal :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

sem_Error_UndefNont :: NontermIdent -> T_Error

sem_Errors :: Errors -> T_Errors

newtype T_Errors

Constructors

T_Errors ([String] -> Options -> PP_Doc) |

data Inh_Errors

Constructors

Inh_Errors |

Fields

dups_Inh_Errors :: [String]
options_Inh_Errors :: Options

data Syn_Errors

Constructors

Syn_Errors |

Fields

pp_Syn_Errors :: PP_Doc

wrap_Errors :: T_Errors -> Inh_Errors -> Syn_Errors

sem_Errors_Cons :: T_Error -> T_Errors -> T_Errors

sem_Errors_Nil :: T_Errors

sem_Error :: Error -> T_Error

newtype T_Error

Constructors

T_Error (Options -> Bool -> (Error, PP_Doc)) |

data Inh_Error

Constructors

Inh_Error |

Fields

options_Inh_Error :: Options
verbose_Inh_Error :: Bool

data Syn_Error

Constructors

Syn_Error |

Fields

me_Syn_Error :: Error
pp_Syn_Error :: PP_Doc

wrap_Error :: T_Error -> Inh_Error -> Syn_Error

sem_Error_ChildAsLocal :: NontermIdent -> ConstructorIdent -> Identifier -> T_Error

isError :: Options -> Error -> Bool

cycleIsDangerous :: Options -> Bool

toWidth :: Int -> [Char] -> [Char]

showEdge :: ((Identifier, Identifier), t, t1) -> PP_Doc

showEdgeLong :: ((Identifier, Identifier), [String], [String]) -> PP_Doc

attrText :: Identifier -> Identifier -> [Char]

showLineNr :: Int -> String

showAttrDef :: Identifier -> Identifier -> [Char]

showAttrUse :: Identifier -> Identifier -> [Char]

ppAttr :: Identifier -> Identifier -> PP_Doc

ppAttrUse :: Identifier -> Identifier -> PP_Doc

(+#+) :: String -> String -> String

(+.+) :: Identifier -> Identifier -> String

wfill :: [String] -> PP_Doc

ppError :: Bool -> Pos -> PP_Doc -> PP_Doc -> PP_Doc -> PP_Doc -> Bool -> PP_Doc

showPos :: Identifier -> String

ppInterface :: Show a => a -> PP_Doc